# Uses of Interface
org.opensaml.xacml.policy.ConditionType

Packages that use ConditionType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ConditionType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return ConditionType
Modifier and Type
Method
Description
`ConditionType`
RuleType.`getCondition()`
Gets the condition for this rule.
Methods in org.opensaml.xacml.policy with parameters of type ConditionType
Modifier and Type
Method
Description
`void`
RuleType.`setCondition(ConditionType condition)`
Sets the condition for this rule.

## Uses of ConditionType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ConditionType
Modifier and Type
Class
Description
`class`
`ConditionTypeImpl`
Implementation of `ConditionType`.
Fields in org.opensaml.xacml.policy.impl declared as ConditionType
Modifier and Type
Field
Description
`private ConditionType`
RuleTypeImpl.`condition`
Condition of the policy.
Methods in org.opensaml.xacml.policy.impl that return ConditionType
Modifier and Type
Method
Description
`ConditionType`
ConditionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ConditionType`
ConditionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ConditionType`
RuleTypeImpl.`getCondition()`
Gets the condition for this rule.
Methods in org.opensaml.xacml.policy.impl with parameters of type ConditionType
Modifier and Type
Method
Description
`void`
RuleTypeImpl.`setCondition(ConditionType newCondition)`
Sets the condition for this rule.